org.apache.struts2.convention

## Class DefaultClassFinder

- java.lang.Object
- - org.apache.struts2.convention.DefaultClassFinder

- All Implemented Interfaces:
    ClassFinder

      public class DefaultClassFinder
      extends Object
      implements ClassFinder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `DefaultClassFinder.InfoBuildingMethodVisitor`
    `class` | `DefaultClassFinder.InfoBuildingVisitor`
    `class` | `DefaultClassFinder.PackageInfo`

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.util.finder.ClassFinder

      `ClassFinder.Annotatable, ClassFinder.AnnotationInfo, ClassFinder.ClassInfo, ClassFinder.FieldInfo, ClassFinder.Info, ClassFinder.MethodInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClassFinder(Class... classes)`
    `DefaultClassFinder(ClassLoaderInterface classLoaderInterface, Collection<URL> urls, boolean extractBaseInterfaces, Set<String> protocols, Test<String> classNameFilter)`
    `DefaultClassFinder(List<Class> classes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Class>` | `findAnnotatedClasses(Class<? extends Annotation> annotation)`
    `List<Constructor>` | `findAnnotatedConstructors(Class<? extends Annotation> annotation)`
    `List<Field>` | `findAnnotatedFields(Class<? extends Annotation> annotation)`
    `List<Method>` | `findAnnotatedMethods(Class<? extends Annotation> annotation)`
    `List<Package>` | `findAnnotatedPackages(Class<? extends Annotation> annotation)`
    `List<Class>` | `findClasses()`
    `List<Class>` | `findClasses(Test<ClassFinder.ClassInfo> test)`
    `List<Class>` | `findClassesInPackage(String packageName, boolean recursive)`
    `List<String>` | `getClassesNotLoaded()`
    `ClassLoaderInterface` | `getClassLoaderInterface()`
    `boolean` | `isAnnotationPresent(Class<? extends Annotation> annotation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultClassFinder

          public DefaultClassFinder(ClassLoaderInterface classLoaderInterface,
                                    Collection<URL> urls,
                                    boolean extractBaseInterfaces,
                                    Set<String> protocols,
                                    Test<String> classNameFilter)

    - #### DefaultClassFinder

          public DefaultClassFinder(Class... classes)

    - #### DefaultClassFinder

          public DefaultClassFinder(List<Class> classes)

  - ### Method Detail

    - #### getClassLoaderInterface

          public ClassLoaderInterface getClassLoaderInterface()

      Specified by:
        `getClassLoaderInterface` in interface `ClassFinder`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent(Class<? extends Annotation> annotation)

      Specified by:
        `isAnnotationPresent` in interface `ClassFinder`

    - #### getClassesNotLoaded

          public List<String> getClassesNotLoaded()

      Specified by:
        `getClassesNotLoaded` in interface `ClassFinder`

    - #### findAnnotatedPackages

          public List<Package> findAnnotatedPackages(Class<? extends Annotation> annotation)

      Specified by:
        `findAnnotatedPackages` in interface `ClassFinder`

    - #### findAnnotatedClasses

          public List<Class> findAnnotatedClasses(Class<? extends Annotation> annotation)

      Specified by:
        `findAnnotatedClasses` in interface `ClassFinder`

    - #### findAnnotatedMethods

          public List<Method> findAnnotatedMethods(Class<? extends Annotation> annotation)

      Specified by:
        `findAnnotatedMethods` in interface `ClassFinder`

    - #### findAnnotatedConstructors

          public List<Constructor> findAnnotatedConstructors(Class<? extends Annotation> annotation)

      Specified by:
        `findAnnotatedConstructors` in interface `ClassFinder`

    - #### findAnnotatedFields

          public List<Field> findAnnotatedFields(Class<? extends Annotation> annotation)

      Specified by:
        `findAnnotatedFields` in interface `ClassFinder`

    - #### findClassesInPackage

          public List<Class> findClassesInPackage(String packageName,
                                                  boolean recursive)

      Specified by:
        `findClassesInPackage` in interface `ClassFinder`

    - #### findClasses

          public List<Class> findClasses(Test<ClassFinder.ClassInfo> test)

      Specified by:
        `findClasses` in interface `ClassFinder`

    - #### findClasses

          public List<Class> findClasses()

      Specified by:
        `findClasses` in interface `ClassFinder`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.